% Copyright 2006 Konstantin Korikov <lostclus@ua.fm>
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3
% of this license or (at your option) any later version.
% The latest version of this license is in
%   http://www.latex-project.org/lppl.txt
% and version 1.3 or later is part of all distributions of LaTeX
% version 2003/12/01 or later.
%
% This work has the LPPL maintenance status "maintained".
% 
% This Current Maintainer of this work is Konstantin Korikov.
%
% This work consists of all files listed in manifest.txt.
%

%
% This is automaticaly generated file, do not edit it.
%

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{xespdtext}[2010/01/14 v0.98 Textual Documentation]

\newcommand{\XESPD@docfont}{14pt}
\newcommand{\XESPD@float@style}{single}
\newcommand{\XESPD@equation@style}{single}

\DeclareOption{russian}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{ukrainian}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{koi8-r}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{koi8-u}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{cp1251}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{iso8859-5}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{cp866}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{utf-8}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{utf8}{\PassOptionsToPackage{\CurrentOption}{xespdlang}}
\DeclareOption{12pt}{\renewcommand{\XESPD@docfont}{12pt}}
\DeclareOption{14pt}{\renewcommand{\XESPD@docfont}{14pt}}
\DeclareOption{pointsingle}{\PassOptionsToPackage{\CurrentOption}{xespdsect}}
\DeclareOption{pointsection}{\PassOptionsToPackage{\CurrentOption}{xespdsect}}
\DeclareOption{pointsubsection}{\PassOptionsToPackage{\CurrentOption}{xespdsect}}
\DeclareOption{floatsingle}{\renewcommand{\XESPD@float@style}{single}}
\DeclareOption{floatsection}{\renewcommand{\XESPD@float@style}{section}}
\DeclareOption{floatsubsection}{\renewcommand{\XESPD@float@style}{subsection}}
\DeclareOption{equationsingle}{\renewcommand{\XESPD@equation@style}{single}}
\DeclareOption{equationsection}{\renewcommand{\XESPD@equation@style}{section}}
\DeclareOption{equationsubsection}{\renewcommand{\XESPD@equation@style}{subsection}}
\DeclareOption{footnotearabic}{\PassOptionsToPackage{\CurrentOption}{xespdfootnote}}
\DeclareOption{footnoteasterisk}{\PassOptionsToPackage{\CurrentOption}{xespdfootnote}}
\DeclareOption{twoside}{%
  \PassOptionsToClass{\CurrentOption}{extarticle}%
  \PassOptionsToPackage{\CurrentOption}{xespdstamp}}
\DeclareOption{draft}{\PassOptionsToClass{\CurrentOption}{extarticle}}
\DeclareOption{formI}{%
  \ClassError{xespdtext}{formI style is for graphical documentaion}{}}
\DeclareOption{zonelabels}{%
  \ClassError{xespdtext}{Zone labels is not allowed for textual documentaion}{}}
\DeclareOption*{\PassOptionsToPackage{\CurrentOption}{xespdstamp}}

\ProcessOptions\relax

\LoadClass[\XESPD@docfont]{extarticle}
\RequirePackage{xespdlang}
\RequirePackage[a4paper,xespd]{xespdstamp}
\RequirePackage{xespdindent}
\RequirePackage{xespdlist}
\RequirePackage{xespdsect}
\RequirePackage{xespdcap}
\RequirePackage{xespdfootnote}
\RequirePackage{xespdbiblist}
\RequirePackage{xespdexplan}
\RequirePackage{xespdinfo}
\RequirePackage{xespdtitlebase}
\RequirePackage{xespdtitle}

\RequirePackage{xltabular}
\RequirePackage{multirow}
\newcommand{\HY}{\hyphenpenalty=25\exhyphenpenalty=25}
\newcolumntype{Z}{>{\HY\raggedright\arraybackslash\hspace{0pt}}X}
\newcolumntype{M}{>{\HY\RaggedRight\arraybackslash\hspace{0pt}}c}
\newcolumntype{L}{>{\HY\RaggedRight\arraybackslash\hspace{0pt}}l}

\linespread{1.25}

\newcommand{\XESPD@float@style@single}{}

\newcommand{\XESPD@float@style@section}{
  \@addtoreset{figure}{section}
  \@addtoreset{table}{section}
  \renewcommand{\thefigure}{%
    \ifnum \c@section>\z@ \thesection.\fi \arabic{figure}}
  \renewcommand{\thetable}{%
    \ifnum \c@section>\z@ \thesection.\fi \arabic{table}}}

\newcommand{\XESPD@float@style@subsection}{
  \@addtoreset{figure}{subsection}
  \@addtoreset{table}{subsection}
  \renewcommand{\thefigure}{%
    \ifnum \c@subsection>\z@ \thesubsection.\fi \arabic{figure}}
  \renewcommand{\thetable}{%
    \ifnum \c@subsection>\z@ \thesubsection.\fi \arabic{table}}}

\@nameuse{XESPD@float@style@\XESPD@float@style}

\newcommand{\XESPD@equation@style@single}{}

\newcommand{\XESPD@equation@style@section}{
  \@addtoreset{equation}{section}
  \renewcommand{\theequation}{%
    \ifnum \c@section>\z@ \thesection.\fi \arabic{equation}}}

\newcommand{\XESPD@equation@style@subsection}{
  \@addtoreset{equation}{subsection}
  \renewcommand{\theequation}{%
    \ifnum \c@subsection>\z@ \thesubsection.\fi \arabic{equation}}}

\@nameuse{XESPD@equation@style@\XESPD@equation@style}

